Use target_skeleton dir to store conf files and init scripts under

version control
 -Erik
2012.11.x
Eric Andersen 2001-12-22 01:17:09 +00:00
parent c6ad6c8fb6
commit 339f2f492e
30 changed files with 428 additions and 0 deletions

View File

@ -89,6 +89,8 @@ $(STAGING_DIR):
$(TARGET_DIR):
rm -rf $(TARGET_DIR)
tar -xf $(SOURCE_DIR)/skel.tar
cp -a target_skeleton/* $(TARGET_DIR)/
-find $(TARGET_DIR) -type d -name CVS -exec rm -rf {} \; > /dev/null 2>&1
# The kernel
$(SOURCE_DIR)/$(LINUX_SOURCE):

Binary file not shown.

View File

@ -0,0 +1,6 @@
# /etc/fstab: static file system information.
#
# <file system> <mount pt> <type> <options> <dump> <pass>
/dev/root / ext2 rw 0 1
proc /proc proc defaults 0 0
tmpfs /tmp tmpfs defaults 0 0

View File

@ -0,0 +1,18 @@
root:x:0:
wheel:x:10:
bin:x:1:bin,daemon
daemon:x:2:bin,daemon
sys:x:3:bin,adm
adm:x:4:adm,daemon
tty:x:5:
disk:x:6:
lp:x:7:daemon,lp
mem:x:8:
kmem:x:9:
operator:x:11:
uucp:x:14:uucp
dip:x:40:
utmp:x:45:
www:x:63:
nobody:x:65534:
users:x:100:

View File

@ -0,0 +1,15 @@
#!/bin/sh
# Mount all filesystems. We don't mess with
# fsck, since we don't need it here...
echo -n "Mounting local file systems: "
/bin/mount -a > /dev/null 2>&1
if [ $? = 0 ] ; then
echo "ok"
else
echo "failed"
fi
exit 0

View File

@ -0,0 +1,51 @@
#!/bin/sh
# Build a ramdisk to overlay on /dev so we can scribble on it
# all we want without needing rw access to the underlying filesystem
SIZE=140
INODES=1000
echo -n "Building device ramdisk: "
/bin/umount /dev/ram1 >/dev/null 2>&1
/bin/dd if=/dev/zero of=/dev/ram1 bs=1k count=$SIZE >/dev/null 2>&1
if [ $? != 0 ] ; then
echo "failed."
exit 1;
fi
/sbin/mkfs.minix -n30 -i$INODES /dev/ram1 $SIZE >/dev/null 2>&1
if [ $? != 0 ] ; then
echo "failed."
exit 1;
fi
/bin/mount /dev/ram1 /mnt -t minix -o rw >/dev/null 2>&1
if [ $? != 0 ] ; then
echo "failed."
exit 1;
fi
/bin/cp -a /dev/* /mnt >/dev/null 2>&1
if [ $? != 0 ] ; then
echo "failed."
exit 1;
fi
/bin/umount /mnt >/dev/null 2>&1
if [ $? != 0 ] ; then
echo "failed."
exit 1;
fi
/bin/mount /dev/ram1 /dev -t minix -o rw >/dev/null 2>&1
if [ $? != 0 ] ; then
echo "failed."
exit 1;
else
echo "done."
fi
exit 0

View File

@ -0,0 +1,5 @@
#!/bin/sh
if [ -f /proc/sys/kernel/modprobe ] ; then
echo "/bin/true" >/proc/sys/kernel/modprobe
fi
#/sbin/insmod foo

View File

@ -0,0 +1,8 @@
#!/bin/sh
echo -n "Starting system log daemon: "
# start syslogging
/sbin/syslogd -m 0
echo "ok"

View File

@ -0,0 +1,3 @@
#!/bin/sh
hostname tester.dev.null

View File

@ -0,0 +1,27 @@
#!/bin/sh
# Start all init scripts in /etc/init.d
# executing them in numerical order.
#
for i in /etc/init.d/S??* ;do
# Ignore dangling symlinks (if any).
[ ! -f "$i" ] && continue
case "$i" in
*.sh)
# Source shell script for speed.
(
trap - INT QUIT TSTP
set start
. $i
)
;;
*)
# No sh extension, so fork subprocess.
$i start
;;
esac
done

View File

@ -0,0 +1,35 @@
# /etc/inittab
#
# Copyright (C) 2001 Erik Andersen <andersen@codepoet.org>
#
# Note: BusyBox init doesn't support runlevels. The runlevels field is
# completely ignored by BusyBox init. If you want runlevels, use
# sysvinit.
#
# Format for each entry: <id>:<runlevels>:<action>:<process>
#
# id == tty to run on, or empty for /dev/console
# runlevels == ignored
# action == one of sysinit, respawn, askfirst, wait, and once
# process == program to run
# main rc script
::sysinit:/etc/init.d/rcS
# main setup program
::respawn:-/bin/sh
# convenience shell
tty2::askfirst:-/bin/sh
# set up stuff for logging
null::sysinit:/bin/dmesg > /dev/tty4
tty3::respawn:/usr/bin/tail -f /var/log/messages
tty4::respawn:/usr/bin/tail -f /proc/kmsg
# Stuff to do for the 3-finger salute
::ctrlaltdel:/sbin/reboot
# Stuff to do before rebooting
null::shutdown:/bin/umount -a -r
null::shutdown:/sbin/swapoff -a

View File

@ -0,0 +1,11 @@
root:x:0:0:root:/root:/bin/ash
bin:x:1:1:bin:/bin:/bin/sh
daemon:x:2:2:daemon:/usr/sbin:/bin/sh
adm:x:3:4:adm:/adm:/bin/sh
lp:x:4:7:lp:/var/spool/lpd:/bin/sh
sync:x:5:0:sync:/bin:/bin/sync
shutdown:x:6:11:shutdown:/sbin:/sbin/shutdown
halt:x:7:0:halt:/sbin:/sbin/halt
uucp:x:10:14:uucp:/var/spool/uucp:/bin/sh
operator:x:11:0:Operator:/var:/bin/sh
nobody:x:65534:65534:nobody:/home:/bin/sh

View File

@ -0,0 +1,8 @@
alias ll='ls -l'
echo " "
echo " "
echo "Welcome to the busybox/uClibc usermode-linux test environment"
echo " "
echo " "

View File

@ -0,0 +1,21 @@
# protocols This file describes the various protocols that are
# available from the TCP/IP subsystem. It should be
# consulted instead of using the numbers in the ARPA
# include files, or, worse, just guessing them.
#
# Version: @(#)/etc/protocols 2.00 04/30/93
#
# Author: Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#
ip 0 IP # internet protocol, pseudo protocol number
icmp 1 ICMP # internet control message protocol
igmp 2 IGMP # internet group multicast protocol
ggp 3 GGP # gateway-gateway protocol
tcp 6 TCP # transmission control protocol
pup 12 PUP # PARC universal packet protocol
udp 17 UDP # user datagram protocol
idp 22 IDP # WhatsThis?
raw 255 RAW # RAW IP interface
# End of protocols.

View File

@ -0,0 +1,2 @@
domain dev.null
nameserver 10.0.0.1

View File

@ -0,0 +1,12 @@
tty1
tty2
tty3
tty4
tty5
tty6
tty7
tty8
ttyS0
ttyS1
ttyS2
ttyS3

View File

@ -0,0 +1,193 @@
# $NetBSD: services,v 1.18 1996/03/26 00:07:58 mrg Exp $
#
# Network services, Internet style
#
# Note that it is presently the policy of IANA to assign a single well-known
# port number for both TCP and UDP; hence, most entries here have two entries
# even if the protocol doesn't support UDP operations.
# Updated from RFC 1340, ``Assigned Numbers'' (July 1992). Not all ports
# are included, only the more common ones.
#
# from: @(#)services 5.8 (Berkeley) 5/9/91
#
tcpmux 1/tcp # TCP port service multiplexer
echo 7/tcp
echo 7/udp
discard 9/tcp sink null
discard 9/udp sink null
systat 11/tcp users
daytime 13/tcp
daytime 13/udp
netstat 15/tcp
qotd 17/tcp quote
msp 18/tcp # message send protocol
msp 18/udp # message send protocol
chargen 19/tcp ttytst source
chargen 19/udp ttytst source
ftp-data 20/tcp # default ftp data port
ftp 21/tcp
ssh 22/tcp
ssh 22/udp
telnet 23/tcp
# 24 - private
smtp 25/tcp mail
# 26 - unassigned
time 37/tcp timserver
time 37/udp timserver
rlp 39/udp resource # resource location
nameserver 42/tcp name # IEN 116
whois 43/tcp nicname
domain 53/tcp nameserver # name-domain server
domain 53/udp nameserver
mtp 57/tcp # deprecated
bootps 67/tcp # BOOTP server
bootps 67/udp
bootpc 68/tcp # BOOTP client
bootpc 68/udp
tftp 69/udp
gopher 70/tcp # Internet Gopher
gopher 70/udp
rje 77/tcp netrjs
finger 79/tcp
www 80/tcp http # WorldWideWeb HTTP
www 80/udp # HyperText Transfer Protocol
link 87/tcp ttylink
kerberos 88/tcp krb5 # Kerberos v5
kerberos 88/udp
supdup 95/tcp
# 100 - reserved
hostnames 101/tcp hostname # usually from sri-nic
iso-tsap 102/tcp tsap # part of ISODE.
csnet-ns 105/tcp cso-ns # also used by CSO name server
csnet-ns 105/udp cso-ns
rtelnet 107/tcp # Remote Telnet
rtelnet 107/udp
pop2 109/tcp pop-2 postoffice # POP version 2
pop2 109/udp
pop3 110/tcp pop-3 # POP version 3
pop3 110/udp
sunrpc 111/tcp
sunrpc 111/udp
auth 113/tcp authentication tap ident
sftp 115/tcp
uucp-path 117/tcp
nntp 119/tcp readnews untp # USENET News Transfer Protocol
ntp 123/tcp
ntp 123/udp # Network Time Protocol
netbios-ns 137/tcp # NETBIOS Name Service
netbios-ns 137/udp
netbios-dgm 138/tcp # NETBIOS Datagram Service
netbios-dgm 138/udp
netbios-ssn 139/tcp # NETBIOS session service
netbios-ssn 139/udp
imap2 143/tcp imap # Interim Mail Access Proto v2
imap2 143/udp
snmp 161/udp # Simple Net Mgmt Proto
snmp-trap 162/udp snmptrap # Traps for SNMP
cmip-man 163/tcp # ISO mgmt over IP (CMOT)
cmip-man 163/udp
cmip-agent 164/tcp
cmip-agent 164/udp
xdmcp 177/tcp # X Display Mgr. Control Proto
xdmcp 177/udp
nextstep 178/tcp NeXTStep NextStep # NeXTStep window
nextstep 178/udp NeXTStep NextStep # server
bgp 179/tcp # Border Gateway Proto.
bgp 179/udp
prospero 191/tcp # Cliff Neuman's Prospero
prospero 191/udp
irc 194/tcp # Internet Relay Chat
irc 194/udp
smux 199/tcp # SNMP Unix Multiplexer
smux 199/udp
at-rtmp 201/tcp # AppleTalk routing
at-rtmp 201/udp
at-nbp 202/tcp # AppleTalk name binding
at-nbp 202/udp
at-echo 204/tcp # AppleTalk echo
at-echo 204/udp
at-zis 206/tcp # AppleTalk zone information
at-zis 206/udp
z3950 210/tcp wais # NISO Z39.50 database
z3950 210/udp wais
ipx 213/tcp # IPX
ipx 213/udp
imap3 220/tcp # Interactive Mail Access
imap3 220/udp # Protocol v3
ulistserv 372/tcp # UNIX Listserv
ulistserv 372/udp
#
# UNIX specific services
#
exec 512/tcp
biff 512/udp comsat
login 513/tcp
who 513/udp whod
shell 514/tcp cmd # no passwords used
syslog 514/udp
printer 515/tcp spooler # line printer spooler
talk 517/udp
ntalk 518/udp
route 520/udp router routed # RIP
timed 525/udp timeserver
tempo 526/tcp newdate
courier 530/tcp rpc
conference 531/tcp chat
netnews 532/tcp readnews
netwall 533/udp # -for emergency broadcasts
uucp 540/tcp uucpd # uucp daemon
remotefs 556/tcp rfs_server rfs # Brunhoff remote filesystem
#
webster 765/tcp # Network dictionary
webster 765/udp
# temporary entry (not officially registered by the Samba Team!)
swat 901/tcp # Samba Web Administration Tool
#
# From ``Assigned Numbers'':
#
#> The Registered Ports are not controlled by the IANA and on most systems
#> can be used by ordinary user processes or programs executed by ordinary
#> users.
#
#> Ports are used in the TCP [45,106] to name the ends of logical
#> connections which carry long term conversations. For the purpose of
#> providing services to unknown callers, a service contact port is
#> defined. This list specifies the port used by the server process as its
#> contact port. While the IANA can not control uses of these ports it
#> does register or list uses of these ports as a convienence to the
#> community.
#
ingreslock 1524/tcp
ingreslock 1524/udp
prospero-np 1525/tcp # Prospero non-privileged
prospero-np 1525/udp
rfe 5002/tcp # Radio Free Ethernet
rfe 5002/udp # Actually uses UDP only
#
#
# Kerberos (Project Athena/MIT) services
# Note that these are for Kerberos v4, and are unofficial.
#
klogin 543/tcp # Kerberos `rlogin'
kshell 544/tcp krcmd # Kerberos `rsh'
kerberos-adm 749/tcp # Kerberos `kadmin' (v5)
kerberos4 750/udp kdc # Kerberos (server) udp
kerberos4 750/tcp kdc # Kerberos (server) tcp
kerberos-master 751/udp # Kerberos admin server udp
kerberos-master 751/tcp # Kerberos admin server tcp
krbupdate 760/tcp kreg # BSD Kerberos registration
kpasswd 761/tcp kpwd # BSD Kerberos `passwd'
eklogin 2105/tcp # Kerberos encrypted `rlogin'
#
# Unofficial but necessary (for NetBSD) services
#
supfilesrv 871/tcp # SUP server
supfiledbg 1127/tcp # SUP debugging
#
# AppleTalk DDP entries (DDP: Datagram Delivery Protocol)
#
rtmp 1/ddp # Routing Table Maintenance Protocol
nbp 2/ddp # Name Binding Protocol
echo 4/ddp # AppleTalk Echo Protocol
zip 6/ddp # Zone Information Protocol

View File

@ -0,0 +1,11 @@
root::10933:0:99999:7:::
bin:*:10933:0:99999:7:::
daemon:*:10933:0:99999:7:::
adm:*:10933:0:99999:7:::
lp:*:10933:0:99999:7:::
sync:*:10933:0:99999:7:::
shutdown:*:10933:0:99999:7:::
halt:*:10933:0:99999:7:::
uucp:*:10933:0:99999:7:::
operator:*:10933:0:99999:7:::
nobody:*:10933:0:99999:7:::